Support # 1837 (Closed): Add SmartGenericWorkers to the VREs

Provide an ansible playbook for publishing the smart-executor services at VRE level
Status: Closed Start date: Dec 17, 2015

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The ansible playbook should perform the following steps for every smart-executor deployed in production:

stop the container

add the following tags in the container.xml:

         <application mode="online" context="/smart-executor">

                <scope>/d4science.research-infrastructures.eu/gCubeApps</scope>

                <scope>/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab</scope>

                <scope>/d4science.research-infrastructures.eu/gCubeApps/BiOnym</scope>

                <scope>/d4science.research-infrastructures.eu/gCubeApps/ScalableDataMining</scope>

        </application>

add the gCubeApps.gcubekey to the tomcat/lib folder

clean the state

restart the container

In attachment an example of container.xml.

Related issues:

Blocked by D4Science Infrastructure - Task #1501: Reinstall the 'old' smartex... Closed Nov 23, 2015

History

#1 - Dec 17, 2015 04:58 PM - Roberto Cirillo

- Tracker changed from Support to Task

#2 - Dec 17, 2015 11:41 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Andrea Dell'Amico

Roberto Cirillo wrote:

The ansible playbook should perform the following steps for every smart-executor deployed in production:

stop the container

add the following tags in the container.xml:

 The container.xml file is a template already, so it's a matter of changing and redistributing it (on the 'new' smartexecutor VMs)

add the gCubeApps.gcubekey to the tomcat/lib folder

 This is already installed.

clean the state

restart the container

 These steps are part of the (re)configuration process already (for the 'new' smartgears, as always).
In attachment an example of container.xml.

 I'd like to associate this reconfiguration to the reinstallation of the 'old' smartgears so that we can manage all of them in the same way.

#3 - Dec 18, 2015 02:34 PM - Andrea Dell'Amico

- Blocked by Task #1501: Reinstall the 'old' smartexecutors from the provisioning added

#4 - Dec 18, 2015 03:45 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I've updated the playbook. It now installs a container.xml with the proposed entries when:

The smartgears node is a smart executor

It's a production node

#5 - Dec 21, 2015 05:06 PM - Andrea Dell'Amico

I'm starting the upgrade of the node[43:78].d4science.org hosts.

#6 - Dec 21, 2015 06:56 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

Files

container.xml 1.32 KB Dec 17, 2015 Roberto Cirillo
